/buckets/{bucketId}/objects/{objectId}

Deletes the object.

delete
https://api.rest.rodeo/storage/api/v1/buckets/{bucketId}/objects/{objectId}

Path Parameters

bucketIdstring(uuid)required

The bucket id.

objectIdstring(uuid)required

The object id.

Response

The object was deleted

delete/buckets/{bucketId}/objects/{objectId}
 

Bucket

object
* Additional properties are NOT allowed.
idstring(uuid)required

The bucket id.

namestringrequired

The bucket name.

<= 256 characters

Example

BucketRequest

object
* Additional properties are NOT allowed.
namestringrequired

The bucket name.

>= 1 characters<= 256 characters

Example

BucketsList

object
* Additional properties are NOT allowed.
bucketsarray[object]required
* Additional properties are NOT allowed.
Show Child Parameters
Example

StoredObject

object
idstring(uuid)required

The object id.

datarequired

The stored JSON value. May be any JSON type and any depth, as long as its stringified content does not exceed 1MB.

Example